Eclipse GEF 3.2

## org.eclipse.gef.ui.parts
Class GraphicalEditorWithFlyoutPalette.CustomPalettePage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.gef.ui.views.palette.PaletteViewerPage
              org.eclipse.gef.ui.parts.GraphicalEditorWithFlyoutPalette.CustomPalettePage

All Implemented Interfaces:
  IPage, IPageBookViewPage, PalettePage

Enclosing class:
  GraphicalEditorWithFlyoutPalette

protected class GraphicalEditorWithFlyoutPalette.CustomPalettePage
extends PaletteViewerPage

A custom PalettePage that helps GraphicalEditorWithFlyoutPalette keep the two PaletteViewers (one displayed in the editor and the other displayed in the PaletteView) in sync when switching from one to the other (i.e., it helps maintain state across the two viewers).

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.gef.ui.views.palette.PaletteViewerPage
`provider, viewer`

Constructor Summary
`GraphicalEditorWithFlyoutPalette.CustomPalettePage(PaletteViewerProvider provider)` Constructor

Method Summary
`void` `createControl(Composite parent)` Creates the palette viewer and its control.
`void` `dispose()` Releases the palette viewer from the edit domain
`PaletteViewer` `getPaletteViewer()`

Methods inherited from class org.eclipse.gef.ui.views.palette.PaletteViewerPage
`getAdapter, getControl, setFocus`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, init, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPageBookViewPage
`getSite, init`

Methods inherited from interface org.eclipse.ui.part.IPage
`setActionBars`

Constructor Detail

### GraphicalEditorWithFlyoutPalette.CustomPalettePage

    public GraphicalEditorWithFlyoutPalette.CustomPalettePage(PaletteViewerProvider provider)

  Constructor

Parameters:
  `provider` - the provider used to create a PaletteViewer

Method Detail

### createControl

    public void createControl(Composite parent)

  Description copied from class: `PaletteViewerPage`
  Creates the palette viewer and its control.

  Specified by:
    `createControl` in interface `IPage`
  Overrides:
    `createControl` in class `PaletteViewerPage`
  See Also:
    `IPage.createControl(org.eclipse.swt.widgets.Composite)`

### dispose

    public void dispose()

  Description copied from class: `PaletteViewerPage`
  Releases the palette viewer from the edit domain

  Specified by:
    `dispose` in interface `IPage`
  Overrides:
    `dispose` in class `PaletteViewerPage`
  See Also:
    `IPage.dispose()`

### getPaletteViewer

    public PaletteViewer getPaletteViewer()

  Returns:
    the PaletteViewer created and displayed by this page

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.